Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libmilter: enable support for ipv6

From: Stefan Wagner <stw_at_bit-strickerei.de>
Date: Sun, 7 Aug 2016 20:40:52 +0200

---
 testing/libmilter/APKBUILD       | 35 ++++++++++++++---------------------
 testing/libmilter/site.config.m4 |  4 ++++
 2 files changed, 18 insertions(+), 21 deletions(-)
 create mode 100644 testing/libmilter/site.config.m4
diff --git a/testing/libmilter/APKBUILD b/testing/libmilter/APKBUILD
index e580849..b37e671 100644
--- a/testing/libmilter/APKBUILD
+++ b/testing/libmilter/APKBUILD
_at_@ -1,40 +1,30 @@
 # Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
 # Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Contributor: Stefan Wagner <stw_at_bit-strickerei.de>
 pkgname=libmilter
 _pkgname="sendmail"
 pkgver=1.0.2
 _pkgver=8.15.2
-pkgrel=0
+pkgrel=1
 pkgdesc="Sendmail Mail Filter API"
 url="http://www.sendmail.com/sm/open_source"
 arch="all"
 license="custom"
-depends=""
-depends_dev=""
 makedepends="$depends_dev m4 linux-headers bsd-compat-headers"
-install=""
 subpackages="$pkgname-dev $pkgname-doc"
 source="ftp://ftp.sendmail.org/pub/$_pkgname/$_pkgname.$_pkgver.tar.gz
-	libmilter-sharedlib.patch"
-
-_builddir="$srcdir"/$_pkgname-$_pkgver
-
-prepare() {
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+	libmilter-sharedlib.patch
+	site.config.m4"
+builddir="$srcdir"/$_pkgname-$_pkgver
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
+	cp "$srcdir"/site.config.m4 devtools/Site/site.config.m4 || return 1
 	make -j1 -C libmilter MILTER_SOVER=$pkgver || return 1
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	mkdir -p "$pkgdir"/usr/lib
 	make -j1 -C libmilter \
 		INCOWN=root INCGRP=root INCMODE=644 \
_at_@ -46,8 +36,11 @@ package() {
 }
 
 md5sums="a824fa7dea4d3341efb6462ccd816f00  sendmail.8.15.2.tar.gz
-49558fc2c9e38f433e0dc64d76705c05  libmilter-sharedlib.patch"
+49558fc2c9e38f433e0dc64d76705c05  libmilter-sharedlib.patch
+78a07bb58dd5aa5f8eadd1856f4be9a5  site.config.m4"
 sha256sums="24f94b5fd76705f15897a78932a5f2439a32b1a2fdc35769bb1a5f5d9b4db439  sendmail.8.15.2.tar.gz
-3a753b0881fe622814b471ee5f9037905c7cc3ed08ef74908464ab5307e59d5a  libmilter-sharedlib.patch"
+3a753b0881fe622814b471ee5f9037905c7cc3ed08ef74908464ab5307e59d5a  libmilter-sharedlib.patch
+b216c94f030dd0c85ffa76f6f555c3a5290f26d16341537e091e92dc71701ed2  site.config.m4"
 sha512sums="04feb37316c13b66b1518596507a7da7c16cb0bf1abf10367f7fd888a428fadb093a9efa55342fa55b936c3f0cbdc63b9e2505cd99201a69a0c05b8ad65f49f9  sendmail.8.15.2.tar.gz
-31c36b57739946c1b9c7c85307fe5c53c45d7f8cbf427a0f2248db8b74871a6f5a30ef1af524915821aeca54310d28272bcd0a587cb918192214fa5c30e4a8da  libmilter-sharedlib.patch"
+31c36b57739946c1b9c7c85307fe5c53c45d7f8cbf427a0f2248db8b74871a6f5a30ef1af524915821aeca54310d28272bcd0a587cb918192214fa5c30e4a8da  libmilter-sharedlib.patch
+cc02cae52e7b15da47e15cd94c3e02b97990f32d0a0bd2f8e83a2a08e229546a4e5213fa5b175069f09f39973b56c2622344faa95c1560133d61fc793898ae85  site.config.m4"
diff --git a/testing/libmilter/site.config.m4 b/testing/libmilter/site.config.m4
new file mode 100644
index 0000000..c102ad4
--- /dev/null
+++ b/testing/libmilter/site.config.m4
_at_@ -0,0 +1,4 @@
+dnl enable ipv6
+APPENDDEF(`conf_libmilter_ENVDEF',`-DNETINET6=1')
+dnl getipnodebyname/getipnodebyaddr is deprecated and not part of musl libc
+APPENDDEF(`conf_libmilter_ENVDEF',`-DNEEDSGETIPNODE=1')
-- 
2.9.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Aug 07 2016 - 20:40:52 GMT